Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineQueryResultVideo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineQueryResult
it.tdlight.jni.TdApi.InlineQueryResultVideo

Enclosing class:
  TdApi

public static final class TdApi.InlineQueryResultVideo extends TdApi.InlineQueryResult
Represents a video.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`description`
Description of the video.
`String`
`id`
Unique identifier of the query result.
`String`
`title`
Title of the video.
`TdApi.Video`
`video`
Video.

## Constructor Summary

Constructors
Constructor
Description
`InlineQueryResultVideo()`
Represents a video.
`InlineQueryResultVideo(DataInput input)`
Represents a video.
`InlineQueryResultVideo(String id, TdApi.Video video, String title, String description)`
Represents a video.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### video

public TdApi.Video video
Video.

### title

public String title
Title of the video.

### description

public String description
Description of the video.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InlineQueryResultVideo

public InlineQueryResultVideo()
Represents a video.

### InlineQueryResultVideo

public InlineQueryResultVideo(String id, TdApi.Video video, String title, String description)
Represents a video.

Parameters:
  `id` - String Unique identifier of the query result.
  `video` - Video Video.
  `title` - String Title of the video.
  `description` - String Description of the video.

### InlineQueryResultVideo

public InlineQueryResultVideo(DataInput input) throws IOException
Represents a video.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`